Skip to content

List shift confirmations

GET
/v1/shift-confirmations
curl --request GET \
--url 'https://api.vocapable.com/v1/shift-confirmations?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string
call_id
Any of:
string

Filter on call_id. Comma-separated values are OR.

call_id.gte
Any of:
string

Filter on call_id with the gte operator.

call_id.lte
Any of:
string

Filter on call_id with the lte operator.

call_id.gt
Any of:
string

Filter on call_id with the gt operator.

call_id.lt
Any of:
string

Filter on call_id with the lt operator.

call_id.in
Any of:
string

Filter on call_id with the in operator.

campaign_id
Any of:
string

Filter on campaign_id. Comma-separated values are OR.

campaign_id.gte
Any of:
string

Filter on campaign_id with the gte operator.

campaign_id.lte
Any of:
string

Filter on campaign_id with the lte operator.

campaign_id.gt
Any of:
string

Filter on campaign_id with the gt operator.

campaign_id.lt
Any of:
string

Filter on campaign_id with the lt operator.

campaign_id.in
Any of:
string

Filter on campaign_id with the in operator.

contact_id
Any of:
string

Filter on contact_id. Comma-separated values are OR.

contact_id.gte
Any of:
string

Filter on contact_id with the gte operator.

contact_id.lte
Any of:
string

Filter on contact_id with the lte operator.

contact_id.gt
Any of:
string

Filter on contact_id with the gt operator.

contact_id.lt
Any of:
string

Filter on contact_id with the lt operator.

contact_id.in
Any of:
string

Filter on contact_id with the in operator.

created_at
Any of:
string

Filter on created_at. Comma-separated values are OR.

created_at.gte
Any of:
string

Filter on created_at with the gte operator.

created_at.lte
Any of:
string

Filter on created_at with the lte operator.

created_at.gt
Any of:
string

Filter on created_at with the gt operator.

created_at.lt
Any of:
string

Filter on created_at with the lt operator.

created_at.in
Any of:
string

Filter on created_at with the in operator.

response
Any of:
string

Filter on response. Comma-separated values are OR.

response.gte
Any of:
string

Filter on response with the gte operator.

response.lte
Any of:
string

Filter on response with the lte operator.

response.gt
Any of:
string

Filter on response with the gt operator.

response.lt
Any of:
string

Filter on response with the lt operator.

response.in
Any of:
string

Filter on response with the in operator.

shift_ref
Any of:
string

Filter on shift_ref. Comma-separated values are OR.

shift_ref.gte
Any of:
string

Filter on shift_ref with the gte operator.

shift_ref.lte
Any of:
string

Filter on shift_ref with the lte operator.

shift_ref.gt
Any of:
string

Filter on shift_ref with the gt operator.

shift_ref.lt
Any of:
string

Filter on shift_ref with the lt operator.

shift_ref.in
Any of:
string

Filter on shift_ref with the in operator.

shift_starts_at
Any of:
string

Filter on shift_starts_at. Comma-separated values are OR.

shift_starts_at.gte
Any of:
string

Filter on shift_starts_at with the gte operator.

shift_starts_at.lte
Any of:
string

Filter on shift_starts_at with the lte operator.

shift_starts_at.gt
Any of:
string

Filter on shift_starts_at with the gt operator.

shift_starts_at.lt
Any of:
string

Filter on shift_starts_at with the lt operator.

shift_starts_at.in
Any of:
string

Filter on shift_starts_at with the in operator.

Successful Response

Media typeapplication/json
CursorPage[ShiftConfirmation]
object
data
required
Data
Array<object>
ShiftConfirmation
object
id
required
Id
string
call_id
required
Call Id
string
contact_id
required
Contact Id
string
shift_ref
required
Shift Ref
string
site
Any of:
string
shift_starts_at
required
Shift Starts At
string format: date-time
response
required
Response
string
Allowed values: confirmed declined tentative unreachable
decline_reason
Any of:
string
confirmed_at
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"response": "confirmed"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}